Bug 41435 - up2date and rhn_register problems
up2date and rhn_register problems
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
Depends On:
  Show dependency treegraph
Reported: 2001-05-20 09:43 EDT by Need Real Name
Modified: 2015-01-07 18:45 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-09-17 12:23:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-05-20 09:43:06 EDT
Description of Problem:
when running rhn_register i get this output:
Traceback (innermost last):
  File "/usr/lib/python1.5/site-packages/libglade", line 28 __call__
    ret = apply(self.func, a)
  File "/usr/share/rhn/register/gui.py", line 417, in 
  File "usr/share/rhn/register/hardware.py", line261, in read_network
    netdict['ipaddr'] = gethostbyname(gethostname())
socket.error: host not found

ive tried twice whith the same result
then i tried up2date, and got errormessage about Software Manager 
funktionality not being enabled, this has now happend 3 times then i did 
as i vas told i clicked on my profile and wanted it to become activated 
but nothing happened exept for ending up here

How Reproducible:

Steps to Reproduce:

Actual Results:

Expected Results:

Additional Information:
Comment 1 Cristian Gafton 2001-08-10 16:57:14 EDT
Assigned to the owner of component
Comment 2 softrat 2001-09-16 20:12:48 EDT
It's September and this bug isn't fixed yet!

Comment 3 Adrian Likins 2001-09-17 12:23:52 EDT
can you attach a copy of /etc/hosts?

The only time I've seen this is when the machine advertised a hostname
that didnt map to any ip address it knows about.
Comment 4 Adrian Likins 2002-05-15 16:57:12 EDT
since theres no activity on this, and the only way that
error can occur is with an invalid hostname, I'm closing
this bug.

Current versions of the code will just assume the ip
for the default hostname is, since it's impossible
to tell otherwise with an invalid hostname.

Note You need to log in before you can comment on or make changes to this bug.